package com.jiuqi.util.crypto;

import com.jiuqi.util.JqLib;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;
import java.security.Provider;
import java.security.Security;
import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.KeyGenerator;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;

/* loaded from: com_jiuqi_util_crypto.jar:com/jiuqi/util/crypto/DESUtil.class */
public class DESUtil {
    private static final String Algorithm = "DES";

    public static final SecretKey generateKey() {
        try {
            Class jceClass = Class.forName("com.sun.crypto.provider.SunJCE");
            Security.addProvider((Provider) jceClass.newInstance());
            KeyGenerator keygen = KeyGenerator.getInstance(Algorithm);
            return keygen.generateKey();
        } catch (NoSuchAlgorithmException ex) {
            ex.printStackTrace();
            return null;
        } catch (Exception ex2) {
            ex2.printStackTrace();
            return null;
        }
    }

    public static final SecretKey transKey(String keyHexStr) {
        try {
            DESKeySpec dks = new DESKeySpec(JqLib.hexStringToBytes(keyHexStr));
            SecretKeyFactory keyFactory = SecretKeyFactory.getInstance(Algorithm);
            SecretKey key = keyFactory.generateSecret(dks);
            return key;
        } catch (Exception ex) {
            ex.printStackTrace();
            return null;
        }
    }

    public static final byte[] encrypt(SecretKey deskey, byte[] buff) {
        byte[] cipherByte = (byte[]) null;
        try {
            Cipher c = Cipher.getInstance(Algorithm);
            c.init(1, deskey);
            cipherByte = c.doFinal(buff);
        } catch (InvalidKeyException ex) {
            ex.printStackTrace();
        } catch (NoSuchAlgorithmException ex2) {
            ex2.printStackTrace();
            return null;
        } catch (BadPaddingException ex3) {
            ex3.printStackTrace();
        } catch (IllegalBlockSizeException ex4) {
            ex4.printStackTrace();
        } catch (NoSuchPaddingException ex5) {
            ex5.printStackTrace();
        }
        return cipherByte;
    }

    public static final String decrypt(SecretKey deskey, byte[] buff) {
        byte[] cipherByte = (byte[]) null;
        try {
            Cipher c = Cipher.getInstance(Algorithm);
            c.init(2, deskey);
            cipherByte = c.doFinal(buff);
        } catch (InvalidKeyException ex) {
            ex.printStackTrace();
        } catch (NoSuchAlgorithmException ex2) {
            ex2.printStackTrace();
        } catch (BadPaddingException ex3) {
            ex3.printStackTrace();
        } catch (IllegalBlockSizeException ex4) {
            ex4.printStackTrace();
        } catch (NoSuchPaddingException ex5) {
            ex5.printStackTrace();
        }
        return new String(cipherByte);
    }
}
